#ifndef SHM_BUFFER_PRIMITIVE_HPP
#define SHM_BUFFER_PRIMITIVE_HPP

#include <shmport/ShmBuffer.hpp>

// cppファイルで明示的に実体化する型
typedef class ShmBuffer<bool>           BoolShmBuffer;
typedef class ShmBuffer<short>	        ShortShmBuffer;
typedef class ShmBuffer<int>	        IntShmBuffer;
typedef class ShmBuffer<long>	        LongShmBuffer;
typedef class ShmBuffer<unsigned short> UShortShmBuffer;
typedef class ShmBuffer<unsigned int>   UIntShmBuffer;
typedef class ShmBuffer<unsigned long>  ULongShmBuffer;
typedef class ShmBuffer<float>	        FloatShmBuffer;
typedef class ShmBuffer<double>         DoubleShmBuffer;

#endif // SHM_BUFFER_PRIMITIVE_HPP
