#ifndef SHM_OUT_PORT_PRIMITIVE_HPP
#define SHM_OUT_PORT_PRIMITIVE_HPP

#include <shmport/ShmOutPort.hpp>

// 別途 cppファイルで明示的に実体化する型
typedef ShmOutPort<bool>           ShmBoolOutPort;
typedef ShmOutPort<short>          ShmShortOutPort;
typedef ShmOutPort<int>            ShmIntOutPort;
typedef ShmOutPort<long>           ShmLongOutPort;
typedef ShmOutPort<unsigned short> ShmUShortOutPort;
typedef ShmOutPort<unsigned int>   ShmUIntOutPort; 
typedef ShmOutPort<unsigned long>  ShmULongOutPort;
typedef ShmOutPort<float>          ShmFloatOutPort;
typedef ShmOutPort<double>         ShmDoubleOutPort;

#endif // SHM_OUT_PORT_PRIMITIVE_HPP
