// -*-C++-*-
/*!
 */

#ifndef SHMPORTSVC_IMPL_H
#define SHMPORTSVC_IMPL_H

#include <shmport/idl/ShmPortSkel.h>
#include <string>

////////////////////////////////////////////////////////////////////////////////
/*
 * 
 */
class ShmPortSVC_impl
  : public virtual POA_ShmPort::ShmPortService,
    public virtual PortableServer::RefCountServantBase
{
public:
  // standard constructor
  ShmPortSVC_impl();
  virtual ~ShmPortSVC_impl();
  
  // IDLから生成されたメンバ
  char* shmSegmentID();
  char* shmInstanceID();

  // IDLと別に定義するメンバ
  void setShmSegmentID(const char *id);
  void setShmInstanceID(const char *id);
  
private:
  std::string m_shmSegmentID;
  std::string m_shmInstanceID;
  
  // Make sure all instances are built on the heap by making the
  // destructor non-public
  //virtual ~ShmMatServiceInterfaceSVC_impl();
};



#endif // SHMPORTSVC_IMPL_H


