#include <shmport/ShmSchedOutPort.hpp>


ShmSchedOutPort::ShmSchedOutPort(const char *portName) :
  m_delegate(portName)
{
}

ShmSchedOutPort::~ShmSchedOutPort()
{
}

void ShmSchedOutPort::attachTo(RTC::DataFlowComponentBase& rtc)
{
  m_delegate.attachTo(rtc);
  
  // インスタンス名をバッファに置く
  m_delegate.write(ShmString(rtc.getInstanceName()));
}

