#ifndef SHM_IN_PORT_PRIMITIVE_HPP
#define SHM_IN_PORT_PRIMITIVE_HPP

#include <shmport/ShmInPort.hpp>

// 別途 cppファイルで明示的に実体化する型
typedef ShmInPort<bool>           ShmBoolInPort;
typedef ShmInPort<short>          ShmShortInPort;
typedef ShmInPort<int>            ShmIntInPort;
typedef ShmInPort<long>           ShmLongInPort;
typedef ShmInPort<unsigned short> ShmUShortInPort;
typedef ShmInPort<unsigned int>   ShmUIntInPort; 
typedef ShmInPort<unsigned long>  ShmULongInPort;
typedef ShmInPort<float>          ShmFloatInPort;
typedef ShmInPort<double>         ShmDoubleInPort;

#endif // SHM_IN_PORT_PRIMITIVE_HPP
