#!/bin/bash

LD_PRELOAD=../../lib/libshmport.so ./QuadManager -f quadmanager.conf &
CXT=`rtls /localhost`
export RTCSH_CWD=/localhost/$CXT
rtcon CommandReceiver0.rtc:throttle PIDController0.rtc:refThrottle
rtcon CommandReceiver0.rtc:roll     PIDController0.rtc:refRoll 
rtcon CommandReceiver0.rtc:pitch    PIDController0.rtc:refPitch
rtcon CommandReceiver0.rtc:yaw      PIDController0.rtc:refYaw
rtcon PoseEstimator0.rtc:roll       PIDController0.rtc:senRoll 
rtcon PoseEstimator0.rtc:pitch      PIDController0.rtc:senPitch
rtcon PoseEstimator0.rtc:yaw        PIDController0.rtc:senYaw
rtcon PIDController0.rtc:rotVel0    RotorController0.rtc:rotVel0
rtcon PIDController0.rtc:rotVel1    RotorController0.rtc:rotVel1
rtcon PIDController0.rtc:rotVel2    RotorController0.rtc:rotVel2
rtcon PIDController0.rtc:rotVel3    RotorController0.rtc:rotVel3